Bug 224565 - Error in pre uninstall script
Error in pre uninstall script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 09:41 EST by Phil Knirsch
Modified: 2015-03-04 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 08:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2007-01-26 09:41:55 EST
During an automated install/deinstall check the following error has happened:

ERROR: Output running pre uninstall script for package
bind-chroot-31:9.3.3-3.fc7.i386
Locating //etc/named.conf failed.
I can't find any configuration file. You can create it by system-config-bind
or install caching-nameserver.
[FAILED]

Redirecting the output of the /sbin/service stop in the pre uninstall script
fixes the problem:

preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
    /sbin/service ipsec stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del ipsec
fi
Comment 1 Phil Knirsch 2007-01-26 09:51:08 EST
Ups, sorry, wrong script:

preuninstall scriptlet (using /bin/sh):
if [ "$1" -eq 0 ]; then
   . /usr/sbin/bind-chroot-admin --disable > /dev/null 2>&1 ;
fi
:;

Note You need to log in before you can comment on or make changes to this bug.